Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220451 - ebuild for mhddfs
Summary: ebuild for mhddfs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Steve Dibb
URL:
Whiteboard:
Keywords: EBUILD
: 220447 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-05-05 20:08 UTC by Babikhin Kirill
Modified: 2012-11-11 17:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mhddfs is a file system for unifying several mount points into one. (mhddfs-0.1.10.ebuild,1.18 KB, text/plain)
2008-05-05 20:12 UTC, Babikhin Kirill
Details
mhddfs is a file system for unifying several mount points into one. (mhddfs-0.1.10.ebuild,1.15 KB, text/plain)
2008-05-05 20:29 UTC, Babikhin Kirill
Details
fresh ebuild (mhddfs-0.1.11.ebuild,1.15 KB, text/plain)
2008-06-22 19:41 UTC, Babikhin Kirill
Details
changelog, heh... (Changelog,982 bytes, text/plain)
2008-07-13 11:23 UTC, Babikhin Kirill
Details
fresh ebuild again (mhddfs-0.1.12.ebuild,1.06 KB, text/plain)
2008-07-13 11:25 UTC, Babikhin Kirill
Details
...and again (mhddfs-0.1.16.ebuild,928 bytes, text/plain)
2008-11-19 18:38 UTC, Babikhin Kirill
Details
sometimes it's come back (Changelog,1.33 KB, text/plain)
2008-11-19 18:42 UTC, Babikhin Kirill
Details
bla-bla-bla..... (mhddfs-0.1.18.ebuild,928 bytes, text/plain)
2009-01-02 10:30 UTC, Babikhin Kirill
Details
ho-ho-ho? Happy new year!!! (Changelog,1.51 KB, text/plain)
2009-01-02 10:32 UTC, Babikhin Kirill
Details
fixed for DEPEND=">=sys-fs/fuse-2.7.0" (mhddfs-0.1.18.ebuild,936 bytes, text/plain)
2009-01-16 20:31 UTC, Babikhin Kirill
Details
update :) (mhddfs-0.1.19.ebuild,936 bytes, text/plain)
2009-03-16 16:36 UTC, Babikhin Kirill
Details
mhddfs-0.1.26.ebuild (mhddfs-0.1.26.ebuild,871 bytes, text/plain)
2009-12-11 10:46 UTC, David Voge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Babikhin Kirill 2008-05-05 20:08:10 UTC
file system for unifying several mount points into one.
 This FUSE-based file system allows mount points (or directories) to be
 combined, simulating a single big volume which can merge several hard
 drives or remote file systems. It is like unionfs, but can choose the
 drive with the most free space to create new files on, and can move
 data transparently between drives.
Comment 1 Babikhin Kirill 2008-05-05 20:12:56 UTC
Created attachment 151981 [details]
mhddfs is a file system for unifying several mount points into one.
Comment 2 Babikhin Kirill 2008-05-05 20:29:42 UTC
Created attachment 151987 [details]
mhddfs is a file system for unifying several mount points into one.
Comment 3 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-05-05 20:30:25 UTC
*** Bug 220447 has been marked as a duplicate of this bug. ***
Comment 4 Babikhin Kirill 2008-06-22 19:41:51 UTC
Created attachment 158037 [details]
fresh ebuild
Comment 5 Babikhin Kirill 2008-07-13 11:23:21 UTC
Created attachment 160253 [details]
changelog, heh...
Comment 6 Babikhin Kirill 2008-07-13 11:25:14 UTC
Created attachment 160255 [details]
fresh ebuild again
Comment 7 Babikhin Kirill 2008-11-19 18:38:14 UTC
Created attachment 172405 [details]
...and again
Comment 8 Babikhin Kirill 2008-11-19 18:42:19 UTC
Created attachment 172406 [details]
sometimes  it's come back
Comment 9 Babikhin Kirill 2009-01-02 10:30:29 UTC
Created attachment 177081 [details]
bla-bla-bla.....
Comment 10 Babikhin Kirill 2009-01-02 10:32:57 UTC
Created attachment 177083 [details]
ho-ho-ho? Happy new year!!!
Comment 11 Alexandr Zeinalov 2009-01-14 13:00:53 UTC
fuse 2.6.0 does not have .utimens in struct fuse_operations (src/main.c:786)

possible DEPEND=">=sys-fs/fuse-2.7.0" required
Comment 12 Babikhin Kirill 2009-01-16 20:26:35 UTC
Comment on attachment 177081 [details]
bla-bla-bla.....

><HTML><HEAD/><BODY><PRE># Copyright 1999-2007 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
># $Header: /var/cvsroot/gentoo-x86/sys-fs/mhddfs-0.1.16.ebuild,v 1.0 2008/11/19 23:35:38 mrakobes Exp $
>
>inherit eutils
>
>MY_P=${PN}_${PV}
>
>DESCRIPTION="Multi hardsdrive filesystem"
>HOMEPAGE="http://mhddfs.uvw.ru/"
>SRC_URI="http://mhddfs.uvw.ru/downloads/${MY_P}.tar.gz"
>
>RESTRICT="mirror"
>
>LICENSE="GPL-3 or later"
>SLOT="0"
>KEYWORDS="~x86 ~amd64"
>IUSE="suid"
>
>DEPEND=">=sys-fs/fuse-2.7.0"
>
>src_install(){
>    dobin ${PN}
>    doman ${PN}.1
>    dodoc ChangeLog README README.ru.UTF-8
>    use suid &amp;&amp; fperms u+s /usr/bin/${PN}
>}
>
>pkg_postinst() {
>    if use suid; then
>    ewarn
>    ewarn "You have chosen to install ${PN} with the binary setuid root. This"
>    ewarn "means that if there any undetected vulnerabilities in the binary,"
>    ewarn "then local users may be able to gain root access on your machine."
>    ewarn
>    fi
>}</PRE></BODY></HTML>
Comment 13 Babikhin Kirill 2009-01-16 20:31:51 UTC
Created attachment 178723 [details]
fixed for DEPEND=">=sys-fs/fuse-2.7.0"
Comment 14 Babikhin Kirill 2009-03-16 16:36:54 UTC
Created attachment 185199 [details]
update :)

update :)
Comment 15 Babikhin Kirill 2009-04-26 15:51:25 UTC
Comment on attachment 185199 [details]
update :)

><HTML><HEAD/><BODY><PRE># Copyright 1999-2007 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
># $Header: /var/cvsroot/gentoo-x86/sys-fs/mhddfs-0.1.19.ebuild,v 1.0 2008/11/19 23:35:38 mrakobes Exp $
>
>inherit eutils
>
>MY_P=${PN}_${PV}
>
>DESCRIPTION="Multi hardsdrive filesystem"
>HOMEPAGE="http://mhddfs.uvw.ru/"
>SRC_URI="http://mhddfs.uvw.ru/downloads/${MY_P}.tar.gz"
>
>RESTRICT="mirror"
>
>LICENSE="GPL-3 or later"
>SLOT="0"
>KEYWORDS="~x86 ~amd64"
>IUSE="suid"
>
>DEPEND="&gt;=sys-fs/fuse-2.7.0"
>
>src_install(){
>    dobin ${PN}
>    doman ${PN}.1
>    dodoc ChangeLog README README.ru.UTF-8
>    use suid &amp;&amp; fperms u+s /usr/bin/${PN}
>}
>
>pkg_postinst() {
>    if use suid; then
>    ewarn
>    ewarn "You have chosen to install ${PN} with the binary setuid root. This"
>    ewarn "means that if there any undetected vulnerabilities in the binary,"
>    ewarn "then local users may be able to gain root access on your machine."
>    ewarn
>    fi
>}</PRE></BODY></HTML>
Comment 16 David Voge 2009-12-11 10:46:31 UTC
Created attachment 212682 [details]
mhddfs-0.1.26.ebuild
Comment 17 Steve Dibb (RETIRED) gentoo-dev 2010-04-24 03:22:44 UTC
Added v1.3.0 to CVS.

Thanks for the ebuild. :)  And patience...